Subject: bug#9041: gnus-article-show-images doesn't work with w3m

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jul 2011 19:50:32 +0200

Philipp Haselwarter <[email-masked]> writes:

> I just tried w3m as alternative html renderer
> (setq mm-text-html-renderer 'w3m)
>
> Now hitting W D W or calling `gnus-article-show-images' in either the
> summary or the article buffer has no effect.
>
> Calling `w3m-toggle-inline-images' manually works more or less:
> If `mm-inline-text-html-with-images' is set to
> - nil : calling `w3m-toggle-inline-images' once displays the images
> - t : calling `w3m-toggle-inline-images' has not display anything
> - something else ( "" ) : I have to call `w3m-toggle-inline-images'
>   twice to get images displayed

Thanks for a thorough bug report.

I've now fixed this in No Gnus.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/